{% load crm_utils %}
{% load static %}
<!-- Topbar -->


<nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

<ul class="navbar-nav mr-auto d-none d-md-flex">
    <li class="nav-item">
        <a class="nav-link" href="{% url 'calendar_view' %}">
            <i class="fa fa-calendar-alt"></i>Календарь</a>
    </li>
    <li class="nav-item">
        <a class="nav-link" href="{% url 'client_list' %}">
            <i class="fa fa-users"></i>Клиенты</a>
    </li>

    <li class="nav-item">
        <a class="nav-link" href="{% url 'sale_list' %}">
            <i class="fa fa-cart-arrow-down">Продажа абонемента</i></a>
    </li>
</ul>

    <!-- Sidebar Toggle (Topbar) -->
    <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
        <i class="fa fa-bars"></i>
    </button>

    <button id="quickAccessMenu" data-toggle="dropdown" class="btn btn-link d-md-none rounded-circle me-3" aria-haspopup="true" aria-expanded="false">
        <i class="fas fa-ellipsis-v"></i>
    </button>

    <div class="dropdown-menu" aria-labelledby="navbarDropdown">
        <a class="dropdown-item" href="{% url 'calendar_view' %}">
            <i class="fa fa-calendar-alt"></i>Календарь
        </a>
        <a class="dropdown-item" href="{% url 'client_list' %}">
            <i class="fa fa-users"></i>Клиенты
        </a>
        <a class="dropdown-item" href="{% url 'sale_list' %}">
            <i class="fa fa-cart-arrow-down"></i>Продажа Абонемента
        </a>
    </div>



    <ul class="navbar-nav ml-auto">
        <!-- Nav Item - Alerts -->
        <li class="nav-item dropdown no-arrow mx-1">
            <a class="nav-link dropdown-toggle" href="#" id="alertsDropdown" role="button"
               data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-bell fa-fw"></i>
                <!-- Counter - Alerts -->
                <span id="notification-badge" class="badge badge-danger badge-counter"></span>
            </a>
            <!-- Dropdown - Alerts -->
            <div class="dropdown-list dropdown-menu dropdown-menu-right shadow animated--grow-in"
                 aria-labelledby="alertsDropdown">
                <h6 class="dropdown-header">
                    Оповещения
                </h6>
                <div id="notify-list"></div>
            </div>
        </li>

        <!-- Nav Item - Messages -->
        <li class="nav-item dropdown no-arrow mx-1">
{#            <a class="nav-link dropdown-toggle" href="#" id="messagesDropdown" role="button"#}
{#               data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">#}
{#                <i class="fas fa-envelope fa-fw"></i>#}
{#                <!-- Counter - Messages -->#}
{#                <span class="badge badge-danger badge-counter">7</span>#}
{#            </a>#}
            <div class="nav-link disabled">
                <i class="fa fa-city">
                    {{ user.profile.departament }}
                </i>
            </div>
        </li>

        <div class="topbar-divider d-none d-sm-block"></div>

        <!-- Nav Item - User Information -->
        <li id="navItemDropDown" class="nav-item dropdown no-arrow">
            <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
               data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                {% if user.first_name and user.last_name %}
                    <span class="mr-2 d-none d-lg-inline text-gray-600 small">{{ user.first_name }} {{ user.last_name }}</span>
                {% else %}
                    <span class="mr-2 d-none d-lg-inline text-gray-600 small">{{ user.email }}</span>
                {% endif %}

                {% if user|is_has_role:'admin' %}
                    <img class="img-profile rounded-circle" style="height: 10rem; width: 3rem;" src="{% static 'profile_icons/admin.svg' %}">
                {% elif user|is_has_role:'user' %}
                    <img class="img-profile rounded-circle" style="height: 10rem; width: 3rem;" src="{% static 'profile_icons/user.svg' %}">

                    
                {% else %}
                    <img class="img-profile rounded-circle" style="height: 10rem; width: 3rem;" src="{% static 'profile_icons/super-admin.svg' %}">
                {% endif %}
            </a>
            <!-- Dropdown - User Information -->
            <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                 aria-labelledby="userDropdown">
                <a class="dropdown-item" href="#">
                    <i class="fas fa-user fa-sm fa-fw mr-2 text-gray-400"></i>
                    Профиль
                </a>
                <a class="dropdown-item" href="#">
                    <i class="fas fa-cogs fa-sm fa-fw mr-2 text-gray-400"></i>
                    Настройки аккаунта
                </a>
                <a class="dropdown-item" href="#">
                    <i class="fas fa-list fa-sm fa-fw mr-2 text-gray-400"></i>
                    Список действий
                </a>
                <div class="dropdown-divider"></div>
                <a class="dropdown-item" href="#" data-toggle="modal" data-target="#logoutModal">
                    <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                    Выйти
                </a>
            </div>
        </li>

    </ul>
</nav>
<!-- End of Topbar -->
